User operation
Generate User Deposit Address
(openId, userId, mobileNumber, email) One of these four must be provided.
POST
/
platformapi
/
chainup
/
open
/
user
/
depositAddress
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/depositAddress
{
"code": "0",
"msg": "Success",
"data": {
"address": "qfegrthyjukijhgfswdfer",
"meta": "null"
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
openId
string
openId, userId must pass one, while passing, take openId.
userId
string
openId, userId must pass one, while passing, take openId.
symbol
string
requiredCoin symbol
Example: BTC
sign
string
requiredSignature
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/user/depositAddress
{
"code": "0",
"msg": "Success",
"data": {
"address": "qfegrthyjukijhgfswdfer",
"meta": "null"
}
}